"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

var UrlBuilder = function () {
  function UrlBuilder(clientUrl) {
    _classCallCheck(this, UrlBuilder);

    this.clientUrl = clientUrl;
  }

  _createClass(UrlBuilder, [{
    key: "createUrl",
    value: function createUrl(route) {
      try {
        var url = new URL(route, this.clientUrl);
        return url;
      } catch (e) {
        var base = new URL(this.clientUrl, window.location.href);
        return new URL(route, base.href);
      }
    }
  }, {
    key: "createWsUrl",
    value: function createWsUrl(route) {
      var url = this.createUrl(route);
      url.protocol = url.protocol === "https:" ? "wss:" : "ws:";
      return url;
    }
  }]);

  return UrlBuilder;
}();

exports.default = UrlBuilder;
//# sourceMappingURL=urlBuilder.js.map